/*
	Include CSS in HTML
	- Inline Styling
	- Internal Styling
	- External CSS (recommended)
*/

/*CSS Selector*/
/*==========================================================Universal Selector (*) - target all elements.*/
* {
	font-family:  "Courier New", monospace;
	font-size: 20px;
}


/*Styling of the background*/
body {
	background-color:  skyblue;
}

/*Smooth SCROLLING*/
html {
	scroll-behavior: smooth;
}

nav {
	background-color: white;
}

/*selector:  hover (pseudo class)*/
a:hover{
	background-color: #b4b6de;
}


div {
	display: inline-block;
	/* float property - Change horizontal alignment*/
	float:  right;
}




/* ==========================================================Type Selector 
- targets elements with the specified type/tag name */

h1 {
	color: black !important;
	/*! important property override CSS styling*/
	text-align: center;
	/*2rem  ==> 20px(root element) * 2rem = 40px */
	font-size: 2rem;
}

section {
	height: 100vh;
	/*vh ==> viewport height*/
	/*vw ==> viewport width*/
	text-align: center;
}

h2 {
	font-size: 1.5rem;
}

ol{
	list-style-type: none;
}

/*id Selector - targets elements according to its id attribute; 
ideally use dto targetting a unique elements*/
#zuitt-motto {
	letter-spacing: 5px;
}

/*===========================================Class selector (.class-name) -
 targets elements according to its class attribute; 
ideally used for multiple elements at once*/

.offering-item {
	text-transform: uppercase;
}

/*===============================================Attribute selector (tagname[attribute]) 
- target elements with a specified attribute
use to target elements with a certain attribute*/

input[required] {
	border-width: 2px;
	border-style: solid;
	border-color: blue;
	width:  90%;
}

h3 + img {
	height: 300px;
	width:  300px;
	border-radius: 150px;
}

#bootcamp-learning-list li{
	color: #075966;
}

/*======================================================CSS Selector Combinator*/
/*Descendant selector (white space) - matches all elements that are descendant
of specified element*/

/*div p {
	background-color: red;

}*/
/*#parent p {
	background-color: red;
}*/

/*===============================================Child selector (>)*/
/*Select all element that are direct children of a specified element*/
/*div > p{
	background-color: red;
}*/
/*#parent > p {
	background-color: red;
}
*/

section > form > label {
	color: rgb(0,0,128); 
	/*R,G,B   , value = 0 to 255*/
}

button{
	background-color: #cf0053;
	color: white;
	border: red;
	border-radius: 15px;
}
/*=============================================Gen. Sibling Selector (~) */
/*second sibling and below*/
/*p ~ p {
	background-color: red;
}*/

/*p ~ section {
	background-color: red;
}*/
h2 ~ a {
	/*Remove underline ni Back to top*/
	text-decoration: none;
}

form{
	text-align: center;
	background-color: white;
	border: 2px solid black;
	width: 25vw;
	height: 185px;
	position: relative;
	left: 37.5%;
}



/*==============================================Adjacent sibling selector (+)*/
/*Katabi ng initial argument lang selected*/
/*p + p {
	background-color: red;
}
*/

/*div + p {
	background-color: red;
}*/

/*#zuitt-motto + img {
	height: 300px;
	width:  300px;
	border-radius: 150px;
}


